<?PHP
#
#   FILE:  UnsubscribeLink.php
#
#   Part of the Collection Workflow Integration System (CWIS)
#   Copyright 2012 Internet Scout Project
#   http://scout.wisc.edu/
#

global $H_UnsubStatus;

if (isset($_GET["A"]) && strlen($_GET["A"])>0 &&
    isset($_GET["L"]) && strlen($_GET["L"])>0 )
{
    $MyPlugin = $GLOBALS["G_PluginManager"]->GetPlugin("Mailman");
    $H_UnsubStatus = $MyPlugin->UnsubscribeViaLink($_GET["A"], $_GET["L"]);
}
else
{
    $H_UnsubStatus = FALSE;
}
